%define fname	jenkinsapi

Name:		python-jenkinsapi
Summary:	Jenkins API for Python
Version:	0.3.11
Release:	%mkrel 2
Source0:	https://pypi.io/packages/source/j/%{fname}/%{fname}-%{version}.tar.gz
URL:		https://pypi.python.org/pypi/jenkinsapi/
Group:		Development/Python
License:	MIT
BuildArch:	noarch

%description
Provide a Python API for Jenkins.

%package -n python3-jenkinsapi
Summary:	Jenkins API for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	python3dist(pbr)
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-jenkinsapi
Provide a Python 3 API for Jenkins.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

# drop bundled egg-info
rm -rf *.egg-info/

%build
mkdir -p requirements
touch requirements/dev-requirements.txt
%py3_build

%install
%py3_install

%files -n python3-jenkinsapi
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}
%{python3_sitelib}/%{fname}_tests
%{python3_sitelib}/%{fname}_utils


%changelog
* Mon Jan 11 2021 wally <wally> 0.3.11-2.mga8
+ Revision: 1671146
- provide and obsolete old python-jenkinsapi
- drop bundled egg-info

* Sat Feb 22 2020 shlomif <shlomif> 0.3.11-1.mga8
+ Revision: 1549392
- New version 0.3.11

* Sun Feb 16 2020 umeabot <umeabot> 0.3.4-5.mga8
+ Revision: 1533069
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.3.4-4.mga8
+ Revision: 1443271
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.3.4-3.mga7
+ Revision: 1351674
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.4-2.mga7
+ Revision: 1289122
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 shlomif <shlomif> 0.3.4-1.mga7
+ Revision: 1175896
- New version 0.3.4

* Sat Aug 05 2017 pterjan <pterjan> 0.2.29-2.mga7
+ Revision: 1135464
- Rebuild for python 3.6

* Thu Dec 17 2015 shlomif <shlomif> 0.2.29-1.mga6
+ Revision: 911421
- New version 0.2.29

* Fri Oct 09 2015 shlomif <shlomif> 0.2.28-1.mga6
+ Revision: 888080
- New version + Rebuild for new Python3 3.5.x

* Tue Nov 04 2014 shlomif <shlomif> 0.2.25-1.mga5
+ Revision: 795525
- Import python-jenkinsapi

